# Class BaseErrorMetric

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.sam.SamErrorMetric.ErrorMetric
picard.sam.SamErrorMetric.BaseErrorMetric

Direct Known Subclasses:
  `IndelErrorMetric`

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class BaseErrorMetric extends ErrorMetric
An error metric for the errors in bases.

## Nested Class Summary

### Nested classes/interfaces inherited from class MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`ERROR_BASES`
The number of bases that disagree with the reference
`int`
`Q_SCORE`
The (phred) rate of bases that disagree with the reference

### Fields inherited from class ErrorMetric

`COVARIATE, PRIOR_ERROR, TOTAL_BASES`

## Constructor Summary

Constructors
Constructor
Description
`BaseErrorMetric()`
`BaseErrorMetric(String covariate, long totalBases, long errorBases)`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedFields()`
Placeholder method that will calculate the derived fields from the other ones.

### Methods inherited from class ErrorMetric

`computeQScore, computeQScore, setPriorError`

### Methods inherited from class MergeableMetricBase

`canMerge, merge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ERROR_BASES

public long ERROR_BASES
The number of bases that disagree with the reference

### Q_SCORE

public int Q_SCORE
The (phred) rate of bases that disagree with the reference

## Constructor Details

### BaseErrorMetric

public BaseErrorMetric(String covariate, long totalBases, long errorBases)

### BaseErrorMetric

public BaseErrorMetric()

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `MergeableMetricBase`
Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.

Overrides:
  `calculateDerivedFields` in class `MergeableMetricBase`